Bug 555248 (perl-Pod-Eventual) - Review Request: perl-Pod-Eventual - Read a POD document as a series of trivial events
Summary: Review Request: perl-Pod-Eventual - Read a POD document as a series of trivia...
Keywords:
Status: CLOSED ERRATA
Alias: perl-Pod-Eventual
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Emmanuel Seyman
QA Contact: Fedora Extras Quality Assurance
URL: http://search.cpan.org/dist/Pod-Event...
Whiteboard:
Depends On:
Blocks: 560894
TreeView+ depends on / blocked
 
Reported: 2010-01-14 05:50 UTC by Iain Arnell
Modified: 2011-04-01 16:26 UTC (History)
4 users (show)

Fixed In Version: perl-Pod-Eventual-0.093330-1.el4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-18 22:28:44 UTC
Type: ---
emmanuel: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Iain Arnell 2010-01-14 05:50:03 UTC
Spec URL: http://fedorapeople.org/~iarnell/review/perl-Pod-Eventual.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-Pod-Eventual-0.093330-1.fc13.src.rpm

Description:
POD is a pretty simple format to write, but it can be a big pain to deal
with reading it and doing anything useful with it. Most existing POD
parsers care about semantics, like whether a =item occurred after an
=over but before a back, figuring out how to link a L<>, and other things
like that.

Pod::Eventual is much less ambitious and much more stupid. Fortunately, stupid
is often better. (That's what I keep telling myself, anyway.)

Pod::Eventual reads line-based input and produces events describing each POD
paragraph or directive it finds. Once complete events are immediately passed to
the handle_event method. This method should be implemented by Pod::Eventual
subclasses. If it isn't, Pod::Eventual's own handle_event will be called, and
will raise an exception.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1920378

*rt-0.10

Comment 1 Emmanuel Seyman 2010-01-31 22:34:52 UTC
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format
%{name}.spec.
 [x] Package meets the Packaging Guidelines including the Perl specific items
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1955256
 [x] Rpmlint output:
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
 [x] Package is not relocatable.
 [x] Buildroot is correct
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL+ or Artistic
 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
38124f3c1dd8b53a122d8336dec89453  Pod-Eventual-0.093330.tar.gz
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -fR $RPM_BUILD_ROOT.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [-] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [-] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [-] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1955256
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1955256
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] %check is present and the tests pass

APPROVED.

Comment 2 Iain Arnell 2010-02-01 04:01:03 UTC
New Package CVS Request
=======================
Package Name: perl-Pod-Eventual
Short Description: Read a POD document as a series of trivial events
Owners: iarnell
Branches: F-11 F-12
InitialCC: perl-sig

Comment 3 Kevin Fenzi 2010-02-01 22:53:44 UTC
CVS done (by process-cvs-requests.py).

Comment 4 Fedora Update System 2010-02-02 04:06:10 UTC
perl-Pod-Eventual-0.093330-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-Pod-Eventual-0.093330-1.fc11

Comment 5 Fedora Update System 2010-02-02 04:06:15 UTC
perl-Pod-Eventual-0.093330-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-Pod-Eventual-0.093330-1.fc12

Comment 6 Fedora Update System 2010-02-02 20:41:57 UTC
perl-Pod-Eventual-0.093330-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Pod-Eventual'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2010-1388

Comment 7 Fedora Update System 2010-02-02 20:42:05 UTC
perl-Pod-Eventual-0.093330-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Pod-Eventual'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-1390

Comment 8 Fedora Update System 2010-02-18 22:28:39 UTC
perl-Pod-Eventual-0.093330-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2010-02-18 22:38:22 UTC
perl-Pod-Eventual-0.093330-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Iain Arnell 2010-11-17 16:45:46 UTC
Package Change Request
======================
Package Name: perl-Pod-Eventual
New Branches: el5 el6
Owners: iarnell
InitialCC: perl-sig

Comment 11 Jason Tibbitts 2010-11-18 16:34:50 UTC
Git done (by process-git-requests).

Comment 12 Fedora Update System 2010-11-18 18:54:56 UTC
perl-Pod-Eventual-0.093330-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/perl-Pod-Eventual-0.093330-1.el5

Comment 13 Fedora Update System 2010-12-04 21:29:07 UTC
perl-Pod-Eventual-0.093330-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Paul Howarth 2011-03-02 14:33:06 UTC
All build requirements of this package will be available in EPEL-4 when perl-Mixin-Linewise comes out of testing in a couple of weeks (or sooner, given enough karma), so could we have an EPEL-4 branch?

Comment 15 Iain Arnell 2011-03-02 14:57:26 UTC
Package Change Request
======================
Package Name: perl-Pod-Eventual
New Branches: el4
Owners: iarnell
InitialCC: perl-sig

Comment 16 Jason Tibbitts 2011-03-02 17:44:35 UTC
Git done (by process-git-requests).

Comment 17 Paul Howarth 2011-03-06 22:41:56 UTC
Don't forget to build it Iain...

Comment 18 Paul Howarth 2011-03-07 09:04:08 UTC
D'oh, you're waiting on Mixin::Linewise coming out of testing. Sorry for the noise.

Comment 19 Iain Arnell 2011-03-07 16:52:48 UTC
(In reply to comment #18)
> D'oh, you're waiting on Mixin::Linewise coming out of testing. Sorry for the
> noise.

Though by next week, I'll probably forget why I was waiting for it in the first place. And, of course, you're more than welcome to make the build yourself.

Comment 20 Fedora Update System 2011-03-16 16:53:26 UTC
perl-Pod-Eventual-0.093330-1.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/perl-Pod-Eventual-0.093330-1.el4

Comment 21 Fedora Update System 2011-04-01 16:26:10 UTC
perl-Pod-Eventual-0.093330-1.el4 has been pushed to the Fedora EPEL 4 stable repository.


Note You need to log in before you can comment on or make changes to this bug.